GETeSIM Management

List eSIMs

Retrieve a paginated list of all eSIMs associated with your account,including all relevant information of the data plan for each eSIM.

Endpoint

GEThttps://api.sotel.com/api/esim/fetch/esims

Authentication

Requires a bearer token obtained from the /authenticate endpoint. Include it in the Authorization header.

Authorization: Bearer {token}

Query Parameters

NameTypeRequiredDescription
pageintegerOptionalPage number for pagination (zero-indexed). (Default: 0)
sizeintegerOptionalNumber of results per page. (Default: 15)

Response

List of eSIMs returned successfully.

Response
{
  "data": [
    {
      "id": 33,
      "iccid": "8910300000006402262",
      "productId": "21170170",
      "imsi": "234104979261714",
      "state": "INACTIVE",
      "lastOperationDate": "2026-03-04 06:45:41",
      "activationCode": "TN20230105141652F5BB56E4",
      "smdp": "consumer.rsp.global",
      "purchaseDate": "2026-07-31T19:20:05.460+01:00",
      "plan": {
        "productId": "21170170",
        "name": "Netherlands 1GB 5 days",
        "dataPlanType": "DESTINATION",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "price": 2,
        "country": "Netherlands",
        "iso3": "NLD",
        "region": "Europe",
        "expiryDate": "2026-08-17T00:15:47.278+01:00"
      }
    }
  ],
  "page": 0,
  "size": 15,
  "totalElements": 1,
  "totalPages": 3
}

Code Examples

curl -X GET 'https://api.sotel.com/api/esim/fetch/esims?page=0&size=15' \
  -H 'Authorization: Bearer {token}'

Try It

Try It

Fill in the parameters to generate a cURL command

Generated cURL
curl -X GET 'https://api.sotel.com/api/esim/fetch/esims' \
  -H 'Authorization: Bearer {token}'